Skip to main content
GET
/
api
/
v0
/
computers
List computers
curl --request GET \
  --url https://api.factory.ai/api/v0/computers \
  --header 'Authorization: Bearer <token>'
{
  "computers": [
    {
      "id": "<string>",
      "name": "<string>",
      "providerType": "byom",
      "createdAt": 123,
      "hostname": "<string>",
      "status": "provisioning",
      "provisioningSteps": [
        {
          "id": "create-computer",
          "name": "<string>",
          "status": "pending",
          "error": "<string>",
          "startedAt": 123,
          "completedAt": 123
        }
      ],
      "relayClientUrl": "<string>",
      "relayAgentUrl": "<string>",
      "remoteUser": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://factory-docs-academy-content-candidates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Response

Response for status 200

computers
object[]
required